---------------------------------------------------------------
--                                                           
--  PENCIL AND PAPER INTERPRETER
--  By: Martin Carlisle and Al White     
--                                                           
--  Controls
--  Description : Handle actions on controls in main window 
--                       
--  By: Martin Carlisle
--                                         
-- PENCIL AND PAPER INTERPRETER is free software; you can redistribute 
-- it and/or modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- PENCIL AND PAPER INTERPRETER is distributed in the hope that it will 
-- be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Mcc.Gui.Widget.Button;
package Controls is
   procedure Reset(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Do_Next(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Stop;
   procedure Stop(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Run_Until_Stop(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Read_Complete; -- call when a read has finished
end Controls;

