---------------------------------------------------------------
--                                                           
--  PENCIL AND PAPER INTERPRETER
--  By: Martin Carlisle and Al White     
--                                                           
--  Instruction Dialog 
--  Description : variables and routines for modifying the
--                memory contents
--                       
--  By: Martin Carlisle
--                                         
-- PENCIL AND PAPER INTERPRETER is free software; you can redistribute 
-- it and/or modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- PENCIL AND PAPER INTERPRETER is distributed in the hope that it will 
-- be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;
with Mcc.Gui.Widget.Button;
package Instruction_Dialog is
   Instruction_String : Unbounded_String;
   -- which instruction (set before starting dialog)
   Instruction_Y      : Integer;
   procedure Ok(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   
   -- convert the inputted binary to a number
   function To_Number(Binary : in String) return Integer;
   
   -- use to process enter key
   procedure Key_Callback (
      Obj   : in out Mcc.Gui.Sized_Object'Class;
      Event : in     Mcc.Gui.Key_Event);
end Instruction_Dialog;
