---------------------------------------------------------------
--                                                           
--  PENCIL AND PAPER INTERPRETER
--  By: Martin Carlisle and Al White     
--                                                           
--  STATE 
--  Description : State of program 
--                       
--  By: Martin Carlisle
--                                         
-- PENCIL AND PAPER INTERPRETER is free software; you can redistribute 
-- it and/or modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- PENCIL AND PAPER INTERPRETER is distributed in the hope that it will 
-- be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
package State is
   End_Of_Program   : Boolean := False;
   Program_Modified : Boolean := False;
   function Dialog_Displayed return Boolean;
   -- set this explicitly only with timer to turn it off.
   procedure Set_Dialog_Displayed;
   -- resets File_Dialog_Displayed to false
   procedure Clear_Dialog_Flag;
end State;